Update a branch
Repository Branch Manipulation
Update a branch
Updates branch properties including:
- Name
- Description
- The commit it points to
- Protection status and configuration
Parameters: The following optional fields can be provided in the request body:
branch_namebranch_descriptioncommit_idis_protected- Whether the branch is protected (requires ADMIN access)protection_config- Configuration for protected branches (requires ADMIN access)
Limitations:
- Renaming branches is not supported for repositories synced with Git.
- Setting protection requires ADMIN access to the repository.
Returns:
409 Conflictif a branch with the new name already exists403 Forbiddenif attempting to modify protection without ADMIN access204 No Contenton success
PATCH
Update a branch
Documentation Index
Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Branch ID. Branch name can be used instead of the ID, but storing and using branch ID in API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Response
Request completed successfully

